Redmine - Patch #29263

Move issue attributes to their own section in issue page
2018-07-23 23:11 - Marius BALTEANU

Status: New Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: ul Estimated time: 0.00 hour
Target version:

Description
I would like to move the issue attributes to their own section in issue page from the following reasons:

1. to implement a collapse/expand feature (#29034)

2. to make the issue page more structured and more easily to read/scan
3. to allow in the future more improvements, like a sticky issue bar

Before:
before.png

After:
after.png

Related issues:
Blocked by Redmine - Patch #29033: Move attachments to their own section in i... Closed

Blocks Redmine - Feature #29034: Option to collapse/expand issue sections New

History

#1 - 2018-07-23 23:12 - Marius BALTEANU

- Related to Feature #29034: Option to collapse/expand issue sections added

#2 - 2018-07-23 23:12 - Marius BALTEANU

- Related to Patch #29033: Move attachments to their own section in issue page added

#3 - 2018-07-23 23:12 - Marius BALTEANU

- Description updated

#4 - 2018-07-23 23:13 - Marius BALTEANU

- Description updated

#5 - 2018-07-23 23:19 - Marius BALTEANU

- Related to deleted (Patch #29033: Move attachments to their own section in issue page)

#6 - 2018-07-23 23:19 - Marius BALTEANU

- Blocked by Patch #29033: Move attachments to their own section in issue page added

#7 - 2018-07-23 23:20 - Marius BALTEANU

- File 0001-move-issue-attributes-to-their-own-section.patch added

The patch must be applied after #29033.

#8 - 2018-07-24 00:21 - Marius BALTEANU
- Related to deleted (Feature #29034: Option to collapse/expand issue sections)

#9 - 2018-07-24 00:21 - Marius BALTEANU

- Blocks Feature #29034: Option to collapse/expand issue sections added
https://www.redmine.org/issues/29034
https://www.redmine.org/issues/29033

#10 - 2019-04-30 11:47 - Go MAEDA

What do you think about changing the section name from "Attributes” from "Fields"?

In Redmine, "Status", "Priority", "Assignee", and so on are called "Field" (e.g. "standard fields", "core fields", "custom fields", "fields permissions").

#11 - 2019-05-12 01:34 - Go MAEDA
- File move-issue-attributes-to-their-own-section-v2.patch added
- File fields-instead-of-attributes@2x.png added

- Target version set to 4.1.0

| have updated the patch to change the section name from "Attributes" from "Fields". It is consistent with the terms already used in Redmine such as

"standard fields", "custom fields", and "fields permission".

Marius, is that OK with you?

Bug #1 Edit (4} Log time Watch Copy Delete
. Cannot print recipes « Previous | 11 of 11
9 Added by John Smith 4 days ago. Updated 1 day ago.
Fields
Status: New Start date: 05/10/2019
Priority: Low Due date: 05/21/2019
Assignee: - % Done: 0%
Category: Printing Estimated time: 200.00 h
Target version: - Spent time: 154.25 h
Searchable field: 125 Custom date: 12/01/2009
Database: Project 1 cf:
Float field: 2.10
Description Quote
Unable to print recipes
Subtasks Add

#12 - 2019-05-14 18:23 - Marius BALTEANU

You're right, in the administration area all of them are fields (standard, custom), but in the issue page, the fields are displayed based on different
criteria.

In a scenario with all types of custom fields, the issue page will have the following sections:

1. All standard fields excepting description + All custom fields excepting full-width custom fields
2. Description (standard field)

3. Files

4. Full width custom fields

5. Subtasks

6. Related issues

Besides 5 and 6, all of them are fields. At the same time, if we look in the edit issue mode, we will see that the label used there is "Change details"
and not "Change fields" or "Change attributes". So, | don't know what to say about which label should we use.

Another concern is related to Jean-Philippe comment added to the collapsable sidebar (#21808#note-29) where he said " /'d prefer not to add this to
the core. | find it awkward to toggle some part of the Ul. " and the final scope of this change is to implement a toggle mechanism for issue sections (
#29034).

Even if I'm the author of this ticket, with all of these in mind, I'm more in favour of getting more feedback on this (at least from Jean-Philippe) because
without a toggle mechanism, this ticket is not a real improvement.

#13 - 2019-06-20 18:22 - Jean-Philippe Lang
- Target version deleted (4.1.0)

| don't see the benefit of adding this section for now. It just eats up a bit more vertical space.
https://www.redmine.org/issues/21808#note-29
https://www.redmine.org/issues/29034
